########################
#  ONI TEAM ARENA 1.2  #
# AIRPORT BATTERY PACK #
########################
# The menu provides advanced functionality like :
# -changing the gun mode
# -changing the frag/time limit
# -changing the "air quality"
# -enabling "today's specials"
############
var int arena_menu= 0;
var string arena_menu_name; var string arena_menu_nick;
############ 
func void ArenaAdvanced(void) {
	arena_menu= 0; arena_spawn_id= 0; ArenaMenuName();
	sleep 30; 
	fork ArenaF2(); 
	fork ArenaF3(); 
	fork ArenaCycler();
}
######## AREA CYCLER (CORE)
func void ArenaF3(void) {
	chr_wait_animtype(0, run_back_kick);
	if(!arena_menu) fork ArenaReset(1);
	else            fork ArenaReset(0);
	sleep 60; fork ArenaF3();
}
######## BOT SHAPESHIFTER (CORE)
func void ArenaF2(void) {
	chr_wait_animation(0, KONOKOjump_bk_crouch);
	ai2_allpassive(1); p3_removedangerous();
	arena_scoring= 0; chr_draw_all_characters= 1; arena_menu= 1;
	arena_spawn_id= 0; ArenaMenuName();
		dmsg(" "); PrintPlayer(arena_spawn_id); dmsg(arena_menu_nick);
		dmsg("SHAPESHIFTER - PC Only");
	sleep 61; chr_wait_animtype(0, kick);
	arena_menu= 2; chr_draw_all_characters= 0;
		dmsg(" "); dmsg("[r.TOOLS OF DEATH]"); ArenaGunsInfo();
		dmsg("Punch = Next weapon mode"); dmsg("Kick = Next option");
	sleep 61; chr_wait_animtype(0, kick);
	arena_menu= 3;
		dmsg(" "); dmsg("[b.TIME/FRAG LIMIT]"); ArenaScoreInfo();
		dmsg("Punch = Next time/frag mode"); dmsg("Kick = Next option");
	sleep 61; chr_wait_animtype(0, kick);
	arena_menu= 4;
		dmsg(" "); dmsg("[y.AIR QUALITY]"); ArenaAirQualityInfo();
		dmsg("Punch = Next quality"); dmsg("Kick = Next option");
	sleep 61; chr_wait_animtype(0, kick);
	arena_menu= 5;
		dmsg(" "); dmsg("[o.TODAY'S SPECIALS]"); ArenaMiscInfo();
		dmsg("Punch = Next special"); dmsg("Kick = Back to game");
	sleep 61; chr_wait_animtype(0, kick);
	arena_menu= 0; ai2_allpassive(0); arena_scoring= 1; fork ArenaAreaInfo();
	sleep 61; fork ArenaF2();
}
######## CYCLER (CORE)
func void ArenaCycler(void) {
	chr_wait_animtype(0, punch);
	if(arena_menu eq 1) {
#		ai2_takecontrol(1); chr_neutral(arena_menu_name, 0);
#		arena_spawn_id= arena_spawn_id + 1;
#		if(arena_spawn_id >= arena_players) arena_spawn_id= 0; 
#		ArenaMenuName();
#		dmsg(" "); PrintPlayer(arena_spawn_id); dmsg(arena_menu_nick);
		dmsg("SHAPESHIFTER - PC Only");
		dmsg("Kick = next menu");
#		if(arena_spawn_id) dmsg("[y.DO] USE [b.CHEAT CODES]!!!");
#		else dmsg("F2 = next menu | F3 = restart");
#		chr_focus(arena_spawn_id);
#		chr_neutral(arena_menu_name, 1); ai2_takecontrol(0);
#		chr_dontaim(arena_menu_name, 0);
#		chr_debug_target= arena_spawn_id;
	}
	if(arena_menu eq 2) {
		dmsg(" "); dmsg("[r.TOOLS OF DEATH]");
		ArenaGunsNextMode(); ArenaGunsInfo();
		dmsg("Punch = Next weapon mode");
		dmsg("Kick = Next option");
	}
	if(arena_menu eq 3) {
		dmsg(" "); dmsg("[b.TIME/FRAG LIMIT]");
		ArenaScoreNextMode(); ArenaScoreInfo();
		dmsg("Punch = Next time/frag mode");
		dmsg("Kick = Next option");
	}
	if(arena_menu eq 4) {
		dmsg(" "); dmsg("[y.AIR QUALITY]");
		ArenaAirQualityNext(); ArenaAirQualityInfo();
		dmsg("Punch = Next quality");
		dmsg("Kick = Next option");
	}
	if(arena_menu eq 5) {
		dmsg(" "); dmsg("[o.TODAY'S SPECIALS]");
		ArenaMiscNext(); ArenaMiscInfo();
		dmsg("Punch = Next special");
		dmsg("Kick = Back to game");
	}
	sleep 30; fork ArenaCycler();
}
######## PRINTS PLAYER INDEX (FOR BOT SHAPESHIFTING)
func void PrintPlayer(int player_id) {
	if(player_id eq 0) dmsg("PLAYER 0:");
	if(player_id eq 1) dmsg("PLAYER 1:");
	if(player_id eq 2) dmsg("PLAYER 2:");
	if(player_id eq 3) dmsg("PLAYER 3:");
	if(player_id eq 4) dmsg("PLAYER 4:");
	if(player_id eq 5) dmsg("PLAYER 5:");
	if(player_id eq 6) dmsg("PLAYER 6:");
	if(player_id eq 7) dmsg("PLAYER 7:");
	if(player_id eq 8) dmsg("PLAYER 8:");
	if(player_id eq 9) dmsg("PLAYER 9:");
	if(player_id eq 10) dmsg("PLAYER 10:");
	if(player_id eq 11) dmsg("PLAYER 11:");
	if(player_id eq 12) dmsg("PLAYER 12:");
	if(player_id eq 13) dmsg("PLAYER 13:");
	if(player_id eq 14) dmsg("PLAYER 14:");
	if(player_id eq 15) dmsg("PLAYER 15:");
	if(player_id eq 16) dmsg("PLAYER 16:");
	if(player_id eq 17) dmsg("PLAYER 17:");
	if(player_id eq 18) dmsg("PLAYER 18:");
	if(player_id eq 19) dmsg("PLAYER 19:");
	if(player_id eq 20) dmsg("PLAYER 20:");
	if(player_id eq 21) dmsg("PLAYER 21:");
}
